IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network176.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
- Network address
176.0.0.0- Broadcast address
191.255.255.255- First usable
176.0.0.1- Last usable
191.255.255.254- Usable hosts
- 268,435,454 (268,435,456 less the network and broadcast addresses)
- Subnet mask
240.0.0.0- Wildcard mask
15.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /4
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
B0000000· Integer2952790016to3221225471 - Reverse DNS zones
176.in-addr.arpa177.in-addr.arpa178.in-addr.arpa179.in-addr.arpa180.in-addr.arpa181.in-addr.arpa182.in-addr.arpa183.in-addr.arpa184.in-addr.arpa185.in-addr.arpa186.in-addr.arpa187.in-addr.arpa188.in-addr.arpa189.in-addr.arpa190.in-addr.arpa191.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10110000.00000000.00000000.00000000 | 176.0.0.0 |
| Subnet mask | 11110000.00000000.00000000.00000000 | 240.0.0.0 |
| Network | 10110000.00000000.00000000.00000000 | 176.0.0.0 |
| Broadcast | 10111111.11111111.11111111.11111111 | 191.255.255.255 |
Split into smaller subnets
/5 (2)/6 (4)/7 (8)/8 (16)/9 (32)/10 (64)/11 (128)/12 (256)/13 (512)/14 (1,024)/15 (2,048)/16 (4,096)
176.0.0.0/4 makes 256 subnets of /12.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 176.0.0.0/12 | 176.0.0.1 to 176.15.255.254 | 176.15.255.255 | 1,048,574 |
| 2 | 176.16.0.0/12 | 176.16.0.1 to 176.31.255.254 | 176.31.255.255 | 1,048,574 |
| 3 | 176.32.0.0/12 | 176.32.0.1 to 176.47.255.254 | 176.47.255.255 | 1,048,574 |
| 4 | 176.48.0.0/12 | 176.48.0.1 to 176.63.255.254 | 176.63.255.255 | 1,048,574 |
| 5 | 176.64.0.0/12 | 176.64.0.1 to 176.79.255.254 | 176.79.255.255 | 1,048,574 |
| 6 | 176.80.0.0/12 | 176.80.0.1 to 176.95.255.254 | 176.95.255.255 | 1,048,574 |
| 7 | 176.96.0.0/12 | 176.96.0.1 to 176.111.255.254 | 176.111.255.255 | 1,048,574 |
| 8 | 176.112.0.0/12 | 176.112.0.1 to 176.127.255.254 | 176.127.255.255 | 1,048,574 |
| 9 | 176.128.0.0/12 | 176.128.0.1 to 176.143.255.254 | 176.143.255.255 | 1,048,574 |
| 10 | 176.144.0.0/12 | 176.144.0.1 to 176.159.255.254 | 176.159.255.255 | 1,048,574 |
| 11 | 176.160.0.0/12 | 176.160.0.1 to 176.175.255.254 | 176.175.255.255 | 1,048,574 |
| 12 | 176.176.0.0/12 | 176.176.0.1 to 176.191.255.254 | 176.191.255.255 | 1,048,574 |
| 13 | 176.192.0.0/12 | 176.192.0.1 to 176.207.255.254 | 176.207.255.255 | 1,048,574 |
| 14 | 176.208.0.0/12 | 176.208.0.1 to 176.223.255.254 | 176.223.255.255 | 1,048,574 |
| 15 | 176.224.0.0/12 | 176.224.0.1 to 176.239.255.254 | 176.239.255.255 | 1,048,574 |
| 16 | 176.240.0.0/12 | 176.240.0.1 to 176.255.255.254 | 176.255.255.255 | 1,048,574 |
| 17 | 177.0.0.0/12 | 177.0.0.1 to 177.15.255.254 | 177.15.255.255 | 1,048,574 |
| 18 | 177.16.0.0/12 | 177.16.0.1 to 177.31.255.254 | 177.31.255.255 | 1,048,574 |
| 19 | 177.32.0.0/12 | 177.32.0.1 to 177.47.255.254 | 177.47.255.255 | 1,048,574 |
| 20 | 177.48.0.0/12 | 177.48.0.1 to 177.63.255.254 | 177.63.255.255 | 1,048,574 |
| 21 | 177.64.0.0/12 | 177.64.0.1 to 177.79.255.254 | 177.79.255.255 | 1,048,574 |
| 22 | 177.80.0.0/12 | 177.80.0.1 to 177.95.255.254 | 177.95.255.255 | 1,048,574 |
| 23 | 177.96.0.0/12 | 177.96.0.1 to 177.111.255.254 | 177.111.255.255 | 1,048,574 |
| 24 | 177.112.0.0/12 | 177.112.0.1 to 177.127.255.254 | 177.127.255.255 | 1,048,574 |
| 25 | 177.128.0.0/12 | 177.128.0.1 to 177.143.255.254 | 177.143.255.255 | 1,048,574 |
| 26 | 177.144.0.0/12 | 177.144.0.1 to 177.159.255.254 | 177.159.255.255 | 1,048,574 |
| 27 | 177.160.0.0/12 | 177.160.0.1 to 177.175.255.254 | 177.175.255.255 | 1,048,574 |
| 28 | 177.176.0.0/12 | 177.176.0.1 to 177.191.255.254 | 177.191.255.255 | 1,048,574 |
| 29 | 177.192.0.0/12 | 177.192.0.1 to 177.207.255.254 | 177.207.255.255 | 1,048,574 |
| 30 | 177.208.0.0/12 | 177.208.0.1 to 177.223.255.254 | 177.223.255.255 | 1,048,574 |
| 31 | 177.224.0.0/12 | 177.224.0.1 to 177.239.255.254 | 177.239.255.255 | 1,048,574 |
| 32 | 177.240.0.0/12 | 177.240.0.1 to 177.255.255.254 | 177.255.255.255 | 1,048,574 |
| 33 | 178.0.0.0/12 | 178.0.0.1 to 178.15.255.254 | 178.15.255.255 | 1,048,574 |
| 34 | 178.16.0.0/12 | 178.16.0.1 to 178.31.255.254 | 178.31.255.255 | 1,048,574 |
| 35 | 178.32.0.0/12 | 178.32.0.1 to 178.47.255.254 | 178.47.255.255 | 1,048,574 |
| 36 | 178.48.0.0/12 | 178.48.0.1 to 178.63.255.254 | 178.63.255.255 | 1,048,574 |
| 37 | 178.64.0.0/12 | 178.64.0.1 to 178.79.255.254 | 178.79.255.255 | 1,048,574 |
| 38 | 178.80.0.0/12 | 178.80.0.1 to 178.95.255.254 | 178.95.255.255 | 1,048,574 |
| 39 | 178.96.0.0/12 | 178.96.0.1 to 178.111.255.254 | 178.111.255.255 | 1,048,574 |
| 40 | 178.112.0.0/12 | 178.112.0.1 to 178.127.255.254 | 178.127.255.255 | 1,048,574 |
| 41 | 178.128.0.0/12 | 178.128.0.1 to 178.143.255.254 | 178.143.255.255 | 1,048,574 |
| 42 | 178.144.0.0/12 | 178.144.0.1 to 178.159.255.254 | 178.159.255.255 | 1,048,574 |
| 43 | 178.160.0.0/12 | 178.160.0.1 to 178.175.255.254 | 178.175.255.255 | 1,048,574 |
| 44 | 178.176.0.0/12 | 178.176.0.1 to 178.191.255.254 | 178.191.255.255 | 1,048,574 |
| 45 | 178.192.0.0/12 | 178.192.0.1 to 178.207.255.254 | 178.207.255.255 | 1,048,574 |
| 46 | 178.208.0.0/12 | 178.208.0.1 to 178.223.255.254 | 178.223.255.255 | 1,048,574 |
| 47 | 178.224.0.0/12 | 178.224.0.1 to 178.239.255.254 | 178.239.255.255 | 1,048,574 |
| 48 | 178.240.0.0/12 | 178.240.0.1 to 178.255.255.254 | 178.255.255.255 | 1,048,574 |
| 49 | 179.0.0.0/12 | 179.0.0.1 to 179.15.255.254 | 179.15.255.255 | 1,048,574 |
| 50 | 179.16.0.0/12 | 179.16.0.1 to 179.31.255.254 | 179.31.255.255 | 1,048,574 |
| 51 | 179.32.0.0/12 | 179.32.0.1 to 179.47.255.254 | 179.47.255.255 | 1,048,574 |
| 52 | 179.48.0.0/12 | 179.48.0.1 to 179.63.255.254 | 179.63.255.255 | 1,048,574 |
| 53 | 179.64.0.0/12 | 179.64.0.1 to 179.79.255.254 | 179.79.255.255 | 1,048,574 |
| 54 | 179.80.0.0/12 | 179.80.0.1 to 179.95.255.254 | 179.95.255.255 | 1,048,574 |
| 55 | 179.96.0.0/12 | 179.96.0.1 to 179.111.255.254 | 179.111.255.255 | 1,048,574 |
| 56 | 179.112.0.0/12 | 179.112.0.1 to 179.127.255.254 | 179.127.255.255 | 1,048,574 |
| 57 | 179.128.0.0/12 | 179.128.0.1 to 179.143.255.254 | 179.143.255.255 | 1,048,574 |
| 58 | 179.144.0.0/12 | 179.144.0.1 to 179.159.255.254 | 179.159.255.255 | 1,048,574 |
| 59 | 179.160.0.0/12 | 179.160.0.1 to 179.175.255.254 | 179.175.255.255 | 1,048,574 |
| 60 | 179.176.0.0/12 | 179.176.0.1 to 179.191.255.254 | 179.191.255.255 | 1,048,574 |
| 61 | 179.192.0.0/12 | 179.192.0.1 to 179.207.255.254 | 179.207.255.255 | 1,048,574 |
| 62 | 179.208.0.0/12 | 179.208.0.1 to 179.223.255.254 | 179.223.255.255 | 1,048,574 |
| 63 | 179.224.0.0/12 | 179.224.0.1 to 179.239.255.254 | 179.239.255.255 | 1,048,574 |
| 64 | 179.240.0.0/12 | 179.240.0.1 to 179.255.255.254 | 179.255.255.255 | 1,048,574 |
| 65 | 180.0.0.0/12 | 180.0.0.1 to 180.15.255.254 | 180.15.255.255 | 1,048,574 |
| 66 | 180.16.0.0/12 | 180.16.0.1 to 180.31.255.254 | 180.31.255.255 | 1,048,574 |
| 67 | 180.32.0.0/12 | 180.32.0.1 to 180.47.255.254 | 180.47.255.255 | 1,048,574 |
| 68 | 180.48.0.0/12 | 180.48.0.1 to 180.63.255.254 | 180.63.255.255 | 1,048,574 |
| 69 | 180.64.0.0/12 | 180.64.0.1 to 180.79.255.254 | 180.79.255.255 | 1,048,574 |
| 70 | 180.80.0.0/12 | 180.80.0.1 to 180.95.255.254 | 180.95.255.255 | 1,048,574 |
| 71 | 180.96.0.0/12 | 180.96.0.1 to 180.111.255.254 | 180.111.255.255 | 1,048,574 |
| 72 | 180.112.0.0/12 | 180.112.0.1 to 180.127.255.254 | 180.127.255.255 | 1,048,574 |
| 73 | 180.128.0.0/12 | 180.128.0.1 to 180.143.255.254 | 180.143.255.255 | 1,048,574 |
| 74 | 180.144.0.0/12 | 180.144.0.1 to 180.159.255.254 | 180.159.255.255 | 1,048,574 |
| 75 | 180.160.0.0/12 | 180.160.0.1 to 180.175.255.254 | 180.175.255.255 | 1,048,574 |
| 76 | 180.176.0.0/12 | 180.176.0.1 to 180.191.255.254 | 180.191.255.255 | 1,048,574 |
| 77 | 180.192.0.0/12 | 180.192.0.1 to 180.207.255.254 | 180.207.255.255 | 1,048,574 |
| 78 | 180.208.0.0/12 | 180.208.0.1 to 180.223.255.254 | 180.223.255.255 | 1,048,574 |
| 79 | 180.224.0.0/12 | 180.224.0.1 to 180.239.255.254 | 180.239.255.255 | 1,048,574 |
| 80 | 180.240.0.0/12 | 180.240.0.1 to 180.255.255.254 | 180.255.255.255 | 1,048,574 |
| 81 | 181.0.0.0/12 | 181.0.0.1 to 181.15.255.254 | 181.15.255.255 | 1,048,574 |
| 82 | 181.16.0.0/12 | 181.16.0.1 to 181.31.255.254 | 181.31.255.255 | 1,048,574 |
| 83 | 181.32.0.0/12 | 181.32.0.1 to 181.47.255.254 | 181.47.255.255 | 1,048,574 |
| 84 | 181.48.0.0/12 | 181.48.0.1 to 181.63.255.254 | 181.63.255.255 | 1,048,574 |
| 85 | 181.64.0.0/12 | 181.64.0.1 to 181.79.255.254 | 181.79.255.255 | 1,048,574 |
| 86 | 181.80.0.0/12 | 181.80.0.1 to 181.95.255.254 | 181.95.255.255 | 1,048,574 |
| 87 | 181.96.0.0/12 | 181.96.0.1 to 181.111.255.254 | 181.111.255.255 | 1,048,574 |
| 88 | 181.112.0.0/12 | 181.112.0.1 to 181.127.255.254 | 181.127.255.255 | 1,048,574 |
| 89 | 181.128.0.0/12 | 181.128.0.1 to 181.143.255.254 | 181.143.255.255 | 1,048,574 |
| 90 | 181.144.0.0/12 | 181.144.0.1 to 181.159.255.254 | 181.159.255.255 | 1,048,574 |
| 91 | 181.160.0.0/12 | 181.160.0.1 to 181.175.255.254 | 181.175.255.255 | 1,048,574 |
| 92 | 181.176.0.0/12 | 181.176.0.1 to 181.191.255.254 | 181.191.255.255 | 1,048,574 |
| 93 | 181.192.0.0/12 | 181.192.0.1 to 181.207.255.254 | 181.207.255.255 | 1,048,574 |
| 94 | 181.208.0.0/12 | 181.208.0.1 to 181.223.255.254 | 181.223.255.255 | 1,048,574 |
| 95 | 181.224.0.0/12 | 181.224.0.1 to 181.239.255.254 | 181.239.255.255 | 1,048,574 |
| 96 | 181.240.0.0/12 | 181.240.0.1 to 181.255.255.254 | 181.255.255.255 | 1,048,574 |
| 97 | 182.0.0.0/12 | 182.0.0.1 to 182.15.255.254 | 182.15.255.255 | 1,048,574 |
| 98 | 182.16.0.0/12 | 182.16.0.1 to 182.31.255.254 | 182.31.255.255 | 1,048,574 |
| 99 | 182.32.0.0/12 | 182.32.0.1 to 182.47.255.254 | 182.47.255.255 | 1,048,574 |
| 100 | 182.48.0.0/12 | 182.48.0.1 to 182.63.255.254 | 182.63.255.255 | 1,048,574 |
| 101 | 182.64.0.0/12 | 182.64.0.1 to 182.79.255.254 | 182.79.255.255 | 1,048,574 |
| 102 | 182.80.0.0/12 | 182.80.0.1 to 182.95.255.254 | 182.95.255.255 | 1,048,574 |
| 103 | 182.96.0.0/12 | 182.96.0.1 to 182.111.255.254 | 182.111.255.255 | 1,048,574 |
| 104 | 182.112.0.0/12 | 182.112.0.1 to 182.127.255.254 | 182.127.255.255 | 1,048,574 |
| 105 | 182.128.0.0/12 | 182.128.0.1 to 182.143.255.254 | 182.143.255.255 | 1,048,574 |
| 106 | 182.144.0.0/12 | 182.144.0.1 to 182.159.255.254 | 182.159.255.255 | 1,048,574 |
| 107 | 182.160.0.0/12 | 182.160.0.1 to 182.175.255.254 | 182.175.255.255 | 1,048,574 |
| 108 | 182.176.0.0/12 | 182.176.0.1 to 182.191.255.254 | 182.191.255.255 | 1,048,574 |
| 109 | 182.192.0.0/12 | 182.192.0.1 to 182.207.255.254 | 182.207.255.255 | 1,048,574 |
| 110 | 182.208.0.0/12 | 182.208.0.1 to 182.223.255.254 | 182.223.255.255 | 1,048,574 |
| 111 | 182.224.0.0/12 | 182.224.0.1 to 182.239.255.254 | 182.239.255.255 | 1,048,574 |
| 112 | 182.240.0.0/12 | 182.240.0.1 to 182.255.255.254 | 182.255.255.255 | 1,048,574 |
| 113 | 183.0.0.0/12 | 183.0.0.1 to 183.15.255.254 | 183.15.255.255 | 1,048,574 |
| 114 | 183.16.0.0/12 | 183.16.0.1 to 183.31.255.254 | 183.31.255.255 | 1,048,574 |
| 115 | 183.32.0.0/12 | 183.32.0.1 to 183.47.255.254 | 183.47.255.255 | 1,048,574 |
| 116 | 183.48.0.0/12 | 183.48.0.1 to 183.63.255.254 | 183.63.255.255 | 1,048,574 |
| 117 | 183.64.0.0/12 | 183.64.0.1 to 183.79.255.254 | 183.79.255.255 | 1,048,574 |
| 118 | 183.80.0.0/12 | 183.80.0.1 to 183.95.255.254 | 183.95.255.255 | 1,048,574 |
| 119 | 183.96.0.0/12 | 183.96.0.1 to 183.111.255.254 | 183.111.255.255 | 1,048,574 |
| 120 | 183.112.0.0/12 | 183.112.0.1 to 183.127.255.254 | 183.127.255.255 | 1,048,574 |
| 121 | 183.128.0.0/12 | 183.128.0.1 to 183.143.255.254 | 183.143.255.255 | 1,048,574 |
| 122 | 183.144.0.0/12 | 183.144.0.1 to 183.159.255.254 | 183.159.255.255 | 1,048,574 |
| 123 | 183.160.0.0/12 | 183.160.0.1 to 183.175.255.254 | 183.175.255.255 | 1,048,574 |
| 124 | 183.176.0.0/12 | 183.176.0.1 to 183.191.255.254 | 183.191.255.255 | 1,048,574 |
| 125 | 183.192.0.0/12 | 183.192.0.1 to 183.207.255.254 | 183.207.255.255 | 1,048,574 |
| 126 | 183.208.0.0/12 | 183.208.0.1 to 183.223.255.254 | 183.223.255.255 | 1,048,574 |
| 127 | 183.224.0.0/12 | 183.224.0.1 to 183.239.255.254 | 183.239.255.255 | 1,048,574 |
| 128 | 183.240.0.0/12 | 183.240.0.1 to 183.255.255.254 | 183.255.255.255 | 1,048,574 |
| 129 | 184.0.0.0/12 | 184.0.0.1 to 184.15.255.254 | 184.15.255.255 | 1,048,574 |
| 130 | 184.16.0.0/12 | 184.16.0.1 to 184.31.255.254 | 184.31.255.255 | 1,048,574 |
| 131 | 184.32.0.0/12 | 184.32.0.1 to 184.47.255.254 | 184.47.255.255 | 1,048,574 |
| 132 | 184.48.0.0/12 | 184.48.0.1 to 184.63.255.254 | 184.63.255.255 | 1,048,574 |
| 133 | 184.64.0.0/12 | 184.64.0.1 to 184.79.255.254 | 184.79.255.255 | 1,048,574 |
| 134 | 184.80.0.0/12 | 184.80.0.1 to 184.95.255.254 | 184.95.255.255 | 1,048,574 |
| 135 | 184.96.0.0/12 | 184.96.0.1 to 184.111.255.254 | 184.111.255.255 | 1,048,574 |
| 136 | 184.112.0.0/12 | 184.112.0.1 to 184.127.255.254 | 184.127.255.255 | 1,048,574 |
| 137 | 184.128.0.0/12 | 184.128.0.1 to 184.143.255.254 | 184.143.255.255 | 1,048,574 |
| 138 | 184.144.0.0/12 | 184.144.0.1 to 184.159.255.254 | 184.159.255.255 | 1,048,574 |
| 139 | 184.160.0.0/12 | 184.160.0.1 to 184.175.255.254 | 184.175.255.255 | 1,048,574 |
| 140 | 184.176.0.0/12 | 184.176.0.1 to 184.191.255.254 | 184.191.255.255 | 1,048,574 |
| 141 | 184.192.0.0/12 | 184.192.0.1 to 184.207.255.254 | 184.207.255.255 | 1,048,574 |
| 142 | 184.208.0.0/12 | 184.208.0.1 to 184.223.255.254 | 184.223.255.255 | 1,048,574 |
| 143 | 184.224.0.0/12 | 184.224.0.1 to 184.239.255.254 | 184.239.255.255 | 1,048,574 |
| 144 | 184.240.0.0/12 | 184.240.0.1 to 184.255.255.254 | 184.255.255.255 | 1,048,574 |
| 145 | 185.0.0.0/12 | 185.0.0.1 to 185.15.255.254 | 185.15.255.255 | 1,048,574 |
| 146 | 185.16.0.0/12 | 185.16.0.1 to 185.31.255.254 | 185.31.255.255 | 1,048,574 |
| 147 | 185.32.0.0/12 | 185.32.0.1 to 185.47.255.254 | 185.47.255.255 | 1,048,574 |
| 148 | 185.48.0.0/12 | 185.48.0.1 to 185.63.255.254 | 185.63.255.255 | 1,048,574 |
| 149 | 185.64.0.0/12 | 185.64.0.1 to 185.79.255.254 | 185.79.255.255 | 1,048,574 |
| 150 | 185.80.0.0/12 | 185.80.0.1 to 185.95.255.254 | 185.95.255.255 | 1,048,574 |
| 151 | 185.96.0.0/12 | 185.96.0.1 to 185.111.255.254 | 185.111.255.255 | 1,048,574 |
| 152 | 185.112.0.0/12 | 185.112.0.1 to 185.127.255.254 | 185.127.255.255 | 1,048,574 |
| 153 | 185.128.0.0/12 | 185.128.0.1 to 185.143.255.254 | 185.143.255.255 | 1,048,574 |
| 154 | 185.144.0.0/12 | 185.144.0.1 to 185.159.255.254 | 185.159.255.255 | 1,048,574 |
| 155 | 185.160.0.0/12 | 185.160.0.1 to 185.175.255.254 | 185.175.255.255 | 1,048,574 |
| 156 | 185.176.0.0/12 | 185.176.0.1 to 185.191.255.254 | 185.191.255.255 | 1,048,574 |
| 157 | 185.192.0.0/12 | 185.192.0.1 to 185.207.255.254 | 185.207.255.255 | 1,048,574 |
| 158 | 185.208.0.0/12 | 185.208.0.1 to 185.223.255.254 | 185.223.255.255 | 1,048,574 |
| 159 | 185.224.0.0/12 | 185.224.0.1 to 185.239.255.254 | 185.239.255.255 | 1,048,574 |
| 160 | 185.240.0.0/12 | 185.240.0.1 to 185.255.255.254 | 185.255.255.255 | 1,048,574 |
| 161 | 186.0.0.0/12 | 186.0.0.1 to 186.15.255.254 | 186.15.255.255 | 1,048,574 |
| 162 | 186.16.0.0/12 | 186.16.0.1 to 186.31.255.254 | 186.31.255.255 | 1,048,574 |
| 163 | 186.32.0.0/12 | 186.32.0.1 to 186.47.255.254 | 186.47.255.255 | 1,048,574 |
| 164 | 186.48.0.0/12 | 186.48.0.1 to 186.63.255.254 | 186.63.255.255 | 1,048,574 |
| 165 | 186.64.0.0/12 | 186.64.0.1 to 186.79.255.254 | 186.79.255.255 | 1,048,574 |
| 166 | 186.80.0.0/12 | 186.80.0.1 to 186.95.255.254 | 186.95.255.255 | 1,048,574 |
| 167 | 186.96.0.0/12 | 186.96.0.1 to 186.111.255.254 | 186.111.255.255 | 1,048,574 |
| 168 | 186.112.0.0/12 | 186.112.0.1 to 186.127.255.254 | 186.127.255.255 | 1,048,574 |
| 169 | 186.128.0.0/12 | 186.128.0.1 to 186.143.255.254 | 186.143.255.255 | 1,048,574 |
| 170 | 186.144.0.0/12 | 186.144.0.1 to 186.159.255.254 | 186.159.255.255 | 1,048,574 |
| 171 | 186.160.0.0/12 | 186.160.0.1 to 186.175.255.254 | 186.175.255.255 | 1,048,574 |
| 172 | 186.176.0.0/12 | 186.176.0.1 to 186.191.255.254 | 186.191.255.255 | 1,048,574 |
| 173 | 186.192.0.0/12 | 186.192.0.1 to 186.207.255.254 | 186.207.255.255 | 1,048,574 |
| 174 | 186.208.0.0/12 | 186.208.0.1 to 186.223.255.254 | 186.223.255.255 | 1,048,574 |
| 175 | 186.224.0.0/12 | 186.224.0.1 to 186.239.255.254 | 186.239.255.255 | 1,048,574 |
| 176 | 186.240.0.0/12 | 186.240.0.1 to 186.255.255.254 | 186.255.255.255 | 1,048,574 |
| 177 | 187.0.0.0/12 | 187.0.0.1 to 187.15.255.254 | 187.15.255.255 | 1,048,574 |
| 178 | 187.16.0.0/12 | 187.16.0.1 to 187.31.255.254 | 187.31.255.255 | 1,048,574 |
| 179 | 187.32.0.0/12 | 187.32.0.1 to 187.47.255.254 | 187.47.255.255 | 1,048,574 |
| 180 | 187.48.0.0/12 | 187.48.0.1 to 187.63.255.254 | 187.63.255.255 | 1,048,574 |
| 181 | 187.64.0.0/12 | 187.64.0.1 to 187.79.255.254 | 187.79.255.255 | 1,048,574 |
| 182 | 187.80.0.0/12 | 187.80.0.1 to 187.95.255.254 | 187.95.255.255 | 1,048,574 |
| 183 | 187.96.0.0/12 | 187.96.0.1 to 187.111.255.254 | 187.111.255.255 | 1,048,574 |
| 184 | 187.112.0.0/12 | 187.112.0.1 to 187.127.255.254 | 187.127.255.255 | 1,048,574 |
| 185 | 187.128.0.0/12 | 187.128.0.1 to 187.143.255.254 | 187.143.255.255 | 1,048,574 |
| 186 | 187.144.0.0/12 | 187.144.0.1 to 187.159.255.254 | 187.159.255.255 | 1,048,574 |
| 187 | 187.160.0.0/12 | 187.160.0.1 to 187.175.255.254 | 187.175.255.255 | 1,048,574 |
| 188 | 187.176.0.0/12 | 187.176.0.1 to 187.191.255.254 | 187.191.255.255 | 1,048,574 |
| 189 | 187.192.0.0/12 | 187.192.0.1 to 187.207.255.254 | 187.207.255.255 | 1,048,574 |
| 190 | 187.208.0.0/12 | 187.208.0.1 to 187.223.255.254 | 187.223.255.255 | 1,048,574 |
| 191 | 187.224.0.0/12 | 187.224.0.1 to 187.239.255.254 | 187.239.255.255 | 1,048,574 |
| 192 | 187.240.0.0/12 | 187.240.0.1 to 187.255.255.254 | 187.255.255.255 | 1,048,574 |
| 193 | 188.0.0.0/12 | 188.0.0.1 to 188.15.255.254 | 188.15.255.255 | 1,048,574 |
| 194 | 188.16.0.0/12 | 188.16.0.1 to 188.31.255.254 | 188.31.255.255 | 1,048,574 |
| 195 | 188.32.0.0/12 | 188.32.0.1 to 188.47.255.254 | 188.47.255.255 | 1,048,574 |
| 196 | 188.48.0.0/12 | 188.48.0.1 to 188.63.255.254 | 188.63.255.255 | 1,048,574 |
| 197 | 188.64.0.0/12 | 188.64.0.1 to 188.79.255.254 | 188.79.255.255 | 1,048,574 |
| 198 | 188.80.0.0/12 | 188.80.0.1 to 188.95.255.254 | 188.95.255.255 | 1,048,574 |
| 199 | 188.96.0.0/12 | 188.96.0.1 to 188.111.255.254 | 188.111.255.255 | 1,048,574 |
| 200 | 188.112.0.0/12 | 188.112.0.1 to 188.127.255.254 | 188.127.255.255 | 1,048,574 |
| 201 | 188.128.0.0/12 | 188.128.0.1 to 188.143.255.254 | 188.143.255.255 | 1,048,574 |
| 202 | 188.144.0.0/12 | 188.144.0.1 to 188.159.255.254 | 188.159.255.255 | 1,048,574 |
| 203 | 188.160.0.0/12 | 188.160.0.1 to 188.175.255.254 | 188.175.255.255 | 1,048,574 |
| 204 | 188.176.0.0/12 | 188.176.0.1 to 188.191.255.254 | 188.191.255.255 | 1,048,574 |
| 205 | 188.192.0.0/12 | 188.192.0.1 to 188.207.255.254 | 188.207.255.255 | 1,048,574 |
| 206 | 188.208.0.0/12 | 188.208.0.1 to 188.223.255.254 | 188.223.255.255 | 1,048,574 |
| 207 | 188.224.0.0/12 | 188.224.0.1 to 188.239.255.254 | 188.239.255.255 | 1,048,574 |
| 208 | 188.240.0.0/12 | 188.240.0.1 to 188.255.255.254 | 188.255.255.255 | 1,048,574 |
| 209 | 189.0.0.0/12 | 189.0.0.1 to 189.15.255.254 | 189.15.255.255 | 1,048,574 |
| 210 | 189.16.0.0/12 | 189.16.0.1 to 189.31.255.254 | 189.31.255.255 | 1,048,574 |
| 211 | 189.32.0.0/12 | 189.32.0.1 to 189.47.255.254 | 189.47.255.255 | 1,048,574 |
| 212 | 189.48.0.0/12 | 189.48.0.1 to 189.63.255.254 | 189.63.255.255 | 1,048,574 |
| 213 | 189.64.0.0/12 | 189.64.0.1 to 189.79.255.254 | 189.79.255.255 | 1,048,574 |
| 214 | 189.80.0.0/12 | 189.80.0.1 to 189.95.255.254 | 189.95.255.255 | 1,048,574 |
| 215 | 189.96.0.0/12 | 189.96.0.1 to 189.111.255.254 | 189.111.255.255 | 1,048,574 |
| 216 | 189.112.0.0/12 | 189.112.0.1 to 189.127.255.254 | 189.127.255.255 | 1,048,574 |
| 217 | 189.128.0.0/12 | 189.128.0.1 to 189.143.255.254 | 189.143.255.255 | 1,048,574 |
| 218 | 189.144.0.0/12 | 189.144.0.1 to 189.159.255.254 | 189.159.255.255 | 1,048,574 |
| 219 | 189.160.0.0/12 | 189.160.0.1 to 189.175.255.254 | 189.175.255.255 | 1,048,574 |
| 220 | 189.176.0.0/12 | 189.176.0.1 to 189.191.255.254 | 189.191.255.255 | 1,048,574 |
| 221 | 189.192.0.0/12 | 189.192.0.1 to 189.207.255.254 | 189.207.255.255 | 1,048,574 |
| 222 | 189.208.0.0/12 | 189.208.0.1 to 189.223.255.254 | 189.223.255.255 | 1,048,574 |
| 223 | 189.224.0.0/12 | 189.224.0.1 to 189.239.255.254 | 189.239.255.255 | 1,048,574 |
| 224 | 189.240.0.0/12 | 189.240.0.1 to 189.255.255.254 | 189.255.255.255 | 1,048,574 |
| 225 | 190.0.0.0/12 | 190.0.0.1 to 190.15.255.254 | 190.15.255.255 | 1,048,574 |
| 226 | 190.16.0.0/12 | 190.16.0.1 to 190.31.255.254 | 190.31.255.255 | 1,048,574 |
| 227 | 190.32.0.0/12 | 190.32.0.1 to 190.47.255.254 | 190.47.255.255 | 1,048,574 |
| 228 | 190.48.0.0/12 | 190.48.0.1 to 190.63.255.254 | 190.63.255.255 | 1,048,574 |
| 229 | 190.64.0.0/12 | 190.64.0.1 to 190.79.255.254 | 190.79.255.255 | 1,048,574 |
| 230 | 190.80.0.0/12 | 190.80.0.1 to 190.95.255.254 | 190.95.255.255 | 1,048,574 |
| 231 | 190.96.0.0/12 | 190.96.0.1 to 190.111.255.254 | 190.111.255.255 | 1,048,574 |
| 232 | 190.112.0.0/12 | 190.112.0.1 to 190.127.255.254 | 190.127.255.255 | 1,048,574 |
| 233 | 190.128.0.0/12 | 190.128.0.1 to 190.143.255.254 | 190.143.255.255 | 1,048,574 |
| 234 | 190.144.0.0/12 | 190.144.0.1 to 190.159.255.254 | 190.159.255.255 | 1,048,574 |
| 235 | 190.160.0.0/12 | 190.160.0.1 to 190.175.255.254 | 190.175.255.255 | 1,048,574 |
| 236 | 190.176.0.0/12 | 190.176.0.1 to 190.191.255.254 | 190.191.255.255 | 1,048,574 |
| 237 | 190.192.0.0/12 | 190.192.0.1 to 190.207.255.254 | 190.207.255.255 | 1,048,574 |
| 238 | 190.208.0.0/12 | 190.208.0.1 to 190.223.255.254 | 190.223.255.255 | 1,048,574 |
| 239 | 190.224.0.0/12 | 190.224.0.1 to 190.239.255.254 | 190.239.255.255 | 1,048,574 |
| 240 | 190.240.0.0/12 | 190.240.0.1 to 190.255.255.254 | 190.255.255.255 | 1,048,574 |
| 241 | 191.0.0.0/12 | 191.0.0.1 to 191.15.255.254 | 191.15.255.255 | 1,048,574 |
| 242 | 191.16.0.0/12 | 191.16.0.1 to 191.31.255.254 | 191.31.255.255 | 1,048,574 |
| 243 | 191.32.0.0/12 | 191.32.0.1 to 191.47.255.254 | 191.47.255.255 | 1,048,574 |
| 244 | 191.48.0.0/12 | 191.48.0.1 to 191.63.255.254 | 191.63.255.255 | 1,048,574 |
| 245 | 191.64.0.0/12 | 191.64.0.1 to 191.79.255.254 | 191.79.255.255 | 1,048,574 |
| 246 | 191.80.0.0/12 | 191.80.0.1 to 191.95.255.254 | 191.95.255.255 | 1,048,574 |
| 247 | 191.96.0.0/12 | 191.96.0.1 to 191.111.255.254 | 191.111.255.255 | 1,048,574 |
| 248 | 191.112.0.0/12 | 191.112.0.1 to 191.127.255.254 | 191.127.255.255 | 1,048,574 |
| 249 | 191.128.0.0/12 | 191.128.0.1 to 191.143.255.254 | 191.143.255.255 | 1,048,574 |
| 250 | 191.144.0.0/12 | 191.144.0.1 to 191.159.255.254 | 191.159.255.255 | 1,048,574 |
| 251 | 191.160.0.0/12 | 191.160.0.1 to 191.175.255.254 | 191.175.255.255 | 1,048,574 |
| 252 | 191.176.0.0/12 | 191.176.0.1 to 191.191.255.254 | 191.191.255.255 | 1,048,574 |
| 253 | 191.192.0.0/12 | 191.192.0.1 to 191.207.255.254 | 191.207.255.255 | 1,048,574 |
| 254 | 191.208.0.0/12 | 191.208.0.1 to 191.223.255.254 | 191.223.255.255 | 1,048,574 |
| 255 | 191.224.0.0/12 | 191.224.0.1 to 191.239.255.254 | 191.239.255.255 | 1,048,574 |
| 256 | 191.240.0.0/12 | 191.240.0.1 to 191.255.255.254 | 191.255.255.255 | 1,048,574 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |